Bug 158609 - Various ecore-related ports fail to work if WRKDIRPREFIX is modified
Summary: Various ecore-related ports fail to work if WRKDIRPREFIX is modified
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-03 14:00 UTC by Fabian Keil
Modified: 2011-07-08 20:00 UTC (History)
0 users

See Also:


Attachments
file.diff (3.96 KB, patch)
2011-07-03 14:00 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2011-07-03 14:00:21 UTC
I'm using WRKDIRPREFIX=/usr/obj-ports and apparently this causes various ecore-related ports to build (or work in general).

fk@r500 /usr/ports/graphics/ecore-evas $make
"/usr/ports/graphics/ecore-evas/Makefile", line 30: Could not find ../../devel/ecore-main/Makefile.inc
make: fatal errors encountered -- cannot continue

fk@r500 /usr/ports/graphics/ecore-sdl $make clean
"/usr/ports/graphics/ecore-sdl/Makefile", line 31: Could not find ../../devel/ecore-main/Makefile.inc
make: fatal errors encountered -- cannot continue

It also prevents portmaster -a from working, even if no ecore-related port needs to be updated:

[...]
===>>> Gathering dependency list for lang/tcl-modules from ports
===>>> No dependencies for lang/tcl-modules
===>>> Returning to update check of installed ports

"/usr/ports/graphics/ecore-evas/Makefile", line 30: Could not find ../../devel/ecore-main/Makefile.inc
make: fatal errors encountered -- cannot continue

===>>> Is /usr/ports/graphics/ecore-evas/Makefile missing?
===>>> Aborting update

Terminated

Fix: It works for me with the attached patch. I'm not sure if this
is a fix or only a workaround, but so far I haven't noticed
any problems.

Note that not all replaced occurrences of .include <...> seem
to actually cause problems (for example I can build x11/ecore-imf
without the patch), but I modified them anyway to keep it consistent.


Patch attached with submission follows:
How-To-Repeat: Use a non-standard WRKDIRPREFIX path and try to build for example graphics/ecore-evas.
Comment 1 Mark Linimon freebsd_committer 2011-07-04 03:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

stas maintains most of these ports.
Comment 2 dfilter service freebsd_committer 2011-07-08 19:51:08 UTC
stas        2011-07-08 18:50:54 UTC

  FreeBSD ports repository

  Modified files:
    devel/ecore-file     Makefile 
    devel/ecore-ipc      Makefile 
    graphics/ecore-evas  Makefile 
    graphics/ecore-sdl   Makefile 
    net/ecore-con        Makefile 
    x11/ecore-imf        Makefile 
    x11/ecore-imf_evas   Makefile 
    x11/ecore-input      Makefile 
    x11/ecore-input_evas Makefile 
    x11/ecore-x11        Makefile 
  Log:
  - Use quotes instead of brackets when including files using relative
    paths in ecore ports.  Apparently this causes problems when WRKDIRPREFIX
    is used.
  
  PR:             ports/158609
  Submitted by:   Fabian Keil <fk@fabiankeil.de>
  
  Revision  Changes    Path
  1.7       +1 -1      ports/devel/ecore-file/Makefile
  1.7       +1 -1      ports/devel/ecore-ipc/Makefile
  1.9       +1 -1      ports/graphics/ecore-evas/Makefile
  1.5       +1 -1      ports/graphics/ecore-sdl/Makefile
  1.9       +1 -1      ports/net/ecore-con/Makefile
  1.5       +1 -1      ports/x11/ecore-imf/Makefile
  1.8       +1 -1      ports/x11/ecore-imf_evas/Makefile
  1.3       +1 -1      ports/x11/ecore-input/Makefile
  1.3       +1 -1      ports/x11/ecore-input_evas/Makefile
  1.5       +1 -1      ports/x11/ecore-x11/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Stanislav Sedov freebsd_committer 2011-07-08 19:52:10 UTC
State Changed
From-To: open->closed

Committed.  I'm actually using WRKDIRPREFIX as well and these ports work 
for me, but using brackets there seems to be wrong anyway.